    <Proxy "balancer://{{ name }}_https">

        {% for node in nodes %}

        BalancerMember "https://{{ node }}:{{ targetPort }}"

        {% endfor %}

    </Proxy>

    <Proxy "balancer://{{ name }}_wss">

        {% for node in nodes %}

        BalancerMember "wss://{{ node }}:{{ targetPort }}"

        {% endfor %}

    </Proxy>

    RewriteEngine On
    RewriteCond %{QUERY_STRING} transport=websocket    [NC]
    RewriteRule /(.*) balancer://{{ name }}_wss/$1 [P,L]

    SSLProxyEngine On
    SSLProxyVerify none
    SSLProxyCheckPeerCN off
    SSLProxyCheckPeerName off
    SSLProxyCheckPeerExpire off

    ProxyPass / balancer://{{ name }}_https/
    ProxyPassReverse / balancer://{{ name }}_https/
    ProxyPreserveHost On
